<!-- <div class="flex flex-col min-h-screen min-h-screen place-content-center items-center bg-local bg-cover bg-center " style="background-image: url('assets/images/bggg.png');background-repeat: no-repeat; width: 100%; height: 100%;"> -->
<!-- <div class="flex flex-col min-h-screen min-h-screen place-content-center items-center bg-local bg-cover bg-center " style="background-image: url('assets/images/bggg.png');background-repeat: no-repeat; "> -->
<div class="flex flex-col sm:px-40 md:px-100 lg:px-160 xl:px-70    sm:py-5 md:py-10 lg:py-20 xl:py-30   place-content-center items-center bg-local bg-cover bg-center min-w-screen min-h-screen" style="background-image: url('assets/images/bggg.png');">
  <!-- Content here
  </div> -->

  <!-- <div class="sm:h-3/5 md:h-4/5 lg:h-4/5 xl:h-3/5    sm:w-3/5 md:w-3/5 lg:w-2/5 xl:w-2/5  px-20 py-20 bg-gradient-to-r from-sky-100 to-indigo-100 shadow-2xl drop-shadow-xl rounded-lg opacity-90 place-content-center items-center"> -->
    <div class="w-full h-full px-20 py-20 bg-gradient-to-r from-sky-100 to-indigo-100 shadow-2xl drop-shadow-xl rounded-lg opacity-90 place-content-center items-center">

    <div class="flex flex-col h-full w-full place-content-center items-center">

      <div class="flex justify-center">
        <img class="sm:h-16 sm:w-16 md:h-20 md:w-20 lg:h-20 lg:w-20 xl:w-40 xl:h-40 2xl:w-45 2xl:h-45" src="assets/images/logo/emr1.png" alt="Smart EMR">
      </div>
      <!-- <div class="mt-10 sm:mx-auto sm:w-full sm:max-w-sm"> -->
      <div class="mt-6 w-full h-full bg-blue-50">
        <form class="space-y-6" method="POST" [formGroup]="signInForm"
          #signInNgForm="ngForm">
          <div>
            <div class="mt-2">
              <mat-form-field class="w-full">
                <mat-label>Username</mat-label>
                <input
                  id="username"
                  matInput
                  [formControlName]="'username'">
                <mat-error *ngIf="signInForm.get('username').hasError('required')">
                  ระบุชื่อผู้ใช้งาน Username
                </mat-error>

              </mat-form-field>

            </div>
          </div>

          <div class="mt-1">
            <mat-form-field class="w-full">
              <mat-label>Password</mat-label>
              <input
                id="password"
                matInput
                type="password"
                [formControlName]="'password'"
                #passwordField>
              <button
                mat-icon-button
                type="button"
                (click)="passwordField.type === 'password' ? passwordField.type = 'text' : passwordField.type = 'password'"
                matSuffix>
                <mat-icon
                  class="icon-size-5"
                  *ngIf="passwordField.type === 'password'"
                  [svgIcon]="'heroicons_solid:eye'"></mat-icon>
                <mat-icon
                  class="icon-size-5"
                  *ngIf="passwordField.type === 'text'"
                  [svgIcon]="'heroicons_solid:eye-off'"></mat-icon>
              </button>
              <mat-error>
                ระบุรหัสผ่าน Password
              </mat-error>
            </mat-form-field>
          </div>

          <button
            class="w-full h-12 ripple rounded-full bg-rose-600 text-white"
            mat-flat-button
            [disabled]="signInForm.disabled"
            (click)="signIn()">
            <span *ngIf="!signInForm.disabled">
              Login Now
            </span>
            <mat-progress-spinner
              *ngIf="signInForm.disabled"
              [diameter]="24"
              [mode]="'indeterminate'"></mat-progress-spinner>
          </button>

          <!-- <div>
                <button type="submit" class="w-full h-12 ripple opacity-100 rounded-full bg-gradient-to-r from-indigo-500 via-purple-500 to-pink-500 hover:bg-gradient-to-l from-indigo-800 via-purple-800 text-2xl leading-6 text-white text-center  focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Login Now</button>
            </div> -->
        </form>

      </div>
    </div>

  </div>
</div>
